# ronin 1 "2023-02-01" Ronin "User Manuals"

## NAME

ronin - A Ruby toolkit for security research and development

## SYNOPSIS

`ronin` [*options*] [*COMMAND* [...]]

## DESCRIPTION

Runs a Ronin *COMMAND*.

## ARGUMENTS

*COMMAND*
: The Ronin command to execute.

## OPTIONS

`-V`, `--version`
: Prints the Ronin version and exits.

`-h`, `--help`
: Print help information

## COMMANDS

*asn*
: Queries or searches for ASN information

*banner-grab*
: Fetches the banner from one or more TCP services

*bitflip*
: Prints every bit-flip of the given string(s)

*bitsquat*
: Finds bit-flips of a domain

*cert-dump*
: Prints SSL/TLS certificate information

*cert-gen*
: Generates a new X509 certificate

*cert-grab*
: Downloads SSL/TLS certificates

*completion*
: Manages the shell completion rules for ronin and all other ronin-* commands

*decode*, *dec*
: Decodes each character of data from a variety of encodings

*decrypt*
: Decrypts data

*dns*
: Performs a variety of DNS queries

*dns-proxy*
: Starts a DNS proxy

*email-addr*
: Processes email addresses

*encode*, *enc*
: Encodes each character of data into a variety of encodings

*encrypt*
: Encrypts data

*entropy*
: Filters lines by their entropy

*escape*
: Escapes each special character for a variety of encodings

*extract*
: Extracts common patterns from files/input

*grep*
: Searches files/input for common patterns

*hexdump*
: Hexdumps data in a variaty of encodings and formats

*highlight*
: Syntax highlights file(s).

*hmac*
: Calculates a Hash-based Message Authentication Code (HMAC)

*homoglyph*
: Generates homoglyph equivalent words

*host*
: Processes hostname(s)

*http*
: Send HTTP requests or spawn an interactive HTTP shell

*ip*
: Queries or processes IP addresses

*iprange*
: Enumerates over IP ranges

*irb*
: Start ronin's interactive Ruby shell

*md5*
: Calculates MD5 hashes of data

*netcat*, *nc*
: A netcat clone command

*new*
: Creates a new Ruby project or a script

*pack*
: Packs values into binary data

*proxy*
: Starts a TCP/UDP/SSL/TLS intercept proxy server

*public-suffix-list*, *public-suffixes*
: Updates and parses the public suffix list file

*quote*
: Produces quoted a string for a variety of programming languages

*rot*
: Rotates each character of data within an alphabet

*sha1*
: Calculates SHA1 hashes of data

*sha256*
: Calculates SHA256 hashes of data

*sha512*
: Calculates SHA512 hashes

*strings*
: Prints all strings within a file/stream belonging to the given character set

*tips*
: Prints a random tip on how to use ronin

*tld-list*, *tlds*
: Updates and parses the TLD list file

*typo*
: Generates typos in words

*typosquat*
: Finds typo squatted domains

*unescape*
: Unescapes each escaped character from a variety of encodings

*unhexdump*
: Decodes a hexdump back into raw data

*unpack*
: Unpacks binary data

*unquote*
: Unquotes a double/single quoted string

*url*
: Parses URLs

*xor*
: XORs each character of data with a key.

## AUTHOR

Postmodern <postmodern.mod3@gmail.com>

## SEE ALSO

[ronin-help](ronin-help.1.md) [ronin-archive](ronin-archive.1.md) [ronin-asn](ronin-asn.1.md) [ronin-banner-grab](ronin-banner-grab.1.md) [ronin-bitflip](ronin-bitflip.1.md) [ronin-bitsquat](ronin-bitsquat.1.md) [ronin-cert-dump](ronin-cert-dump.1.md) [ronin-cert-gen](ronin-cert-gen.1.md) [ronin-cert-grab](ronin-cert-grab.1.md) [ronin-completion](ronin-completion.1.md) [ronin-decode](ronin-decode.1.md) [ronin-decrypt](ronin-decrypt.1.md) [ronin-dns](ronin-dns.1.md) [ronin-dns-proxy](ronin-dns-proxy.1.md) [ronin-email-addr](ronin-email-addr.1.md) [ronin-encode](ronin-encode.1.md) [ronin-encrypt](ronin-encrypt.1.md) [ronin-entropy](ronin-entropy.1.md) [ronin-escape](ronin-escape.1.md) [ronin-extract](ronin-extract.1.md) [ronin-grep](ronin-grep.1.md) [ronin-hexdump](ronin-hexdump.1.md) [ronin-highlight](ronin-highlight.1.md) [ronin-hmac](ronin-hmac.1.md) [ronin-homoglyph](ronin-homoglyph.1.md) [ronin-host](ronin-host.1.md) [ronin-http](ronin-http.1.md) [ronin-ip](ronin-ip.1.md) [ronin-iprange](ronin-iprange.1.md) [ronin-irb](ronin-irb.1.md) [ronin-md5](ronin-md5.1.md) [ronin-netcat](ronin-netcat.1.md) [ronin-new](ronin-new.1.md) [ronin-pack](ronin-pack.1.md) [ronin-proxy](ronin-proxy.1.md) [ronin-public-suffix-list](ronin-public-suffix-list.1.md) [ronin-quote](ronin-quote.1.md) [ronin-rot](ronin-rot.1.md) [ronin-sha1](ronin-sha1.1.md) [ronin-sha256](ronin-sha256.1.md) [ronin-sha512](ronin-sha512.1.md) [ronin-strings](ronin-strings.1.md) [ronin-tips](ronin-tips.1.md) [ronin-tld-list](ronin-tld-list.1.md) [ronin-typo](ronin-typo.1.md) [ronin-typosquat](ronin-typosquat.1.md) [ronin-unarchive](ronin-unarchive.1.md) [ronin-unescape](ronin-unescape.1.md) [ronin-unhexdump](ronin-unhexdump.1.md) [ronin-unpack](ronin-unpack.1.md) [ronin-unquote](ronin-unquote.1.md) [ronin-url](ronin-url.1.md) [ronin-xor](ronin-xor.1.md)
