# -*- encoding: utf-8 -*-
# stub: ronin 2.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "ronin".freeze
  s.version = "2.1.0".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Postmodern".freeze]
  s.date = "2024-07-22"
  s.description = "Ronin is a free and Open Source Ruby toolkit for security research and development. Ronin contains many different CLI commands and Ruby libraries for a variety of security tasks, such as encoding/decoding data, filter IPs/hosts/URLs, querying ASNs, querying DNS, HTTP, scanning for web vulnerabilities, spidering websites, installing 3rd-party repositories of exploits and/or payloads, running exploits, developing new exploits, managing local databases, fuzzing data, performing recon, and much more.".freeze
  s.email = "postmodern.mod3@gmail.com".freeze
  s.executables = ["ronin".freeze]
  s.extra_rdoc_files = ["COPYING.txt".freeze, "ChangeLog.md".freeze, "README.md".freeze]
  s.files = ["COPYING.txt".freeze, "ChangeLog.md".freeze, "README.md".freeze, "bin/ronin".freeze]
  s.homepage = "https://ronin-rb.dev".freeze
  s.licenses = ["GPL-3.0".freeze]
  s.post_install_message = "*************************************************************************\n\n  Thank you for installing Ronin!\n\n  To list the available commands:\n\n      $ ronin help\n\n  To view help information about a command:\n\n      $ ronin help COMMAND\n\n*************************************************************************\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 3.1.0".freeze)
  s.rubygems_version = "3.5.11".freeze
  s.summary = "A Ruby toolkit for security research and development.".freeze

  s.installed_by_version = "3.5.11".freeze if s.respond_to? :installed_by_version

  s.specification_version = 4

  s.add_runtime_dependency(%q<open_namespace>.freeze, ["~> 0.4".freeze])
  s.add_runtime_dependency(%q<rouge>.freeze, ["~> 3.0".freeze])
  s.add_runtime_dependency(%q<async-io>.freeze, ["~> 1.0".freeze])
  s.add_runtime_dependency(%q<wordlist>.freeze, ["~> 1.1".freeze])
  s.add_runtime_dependency(%q<ronin-support>.freeze, ["~> 1.1".freeze])
  s.add_runtime_dependency(%q<ronin-dns-proxy>.freeze, ["~> 0.1".freeze])
  s.add_runtime_dependency(%q<ronin-core>.freeze, ["~> 0.2".freeze])
  s.add_runtime_dependency(%q<ronin-repos>.freeze, ["~> 0.2".freeze])
  s.add_runtime_dependency(%q<ronin-wordlists>.freeze, ["~> 0.1".freeze])
  s.add_runtime_dependency(%q<ronin-db>.freeze, ["~> 0.2".freeze])
  s.add_runtime_dependency(%q<ronin-listener>.freeze, ["~> 0.1".freeze])
  s.add_runtime_dependency(%q<ronin-nmap>.freeze, ["~> 0.1".freeze])
  s.add_runtime_dependency(%q<ronin-masscan>.freeze, ["~> 0.1".freeze])
  s.add_runtime_dependency(%q<ronin-recon>.freeze, ["~> 0.1".freeze])
  s.add_runtime_dependency(%q<ronin-fuzzer>.freeze, ["~> 0.2".freeze])
  s.add_runtime_dependency(%q<ronin-web>.freeze, ["~> 2.0".freeze])
  s.add_runtime_dependency(%q<ronin-code-asm>.freeze, ["~> 1.0".freeze])
  s.add_runtime_dependency(%q<ronin-code-sql>.freeze, ["~> 2.0".freeze])
  s.add_runtime_dependency(%q<ronin-payloads>.freeze, ["~> 0.2".freeze])
  s.add_runtime_dependency(%q<ronin-exploits>.freeze, ["~> 1.1".freeze])
  s.add_runtime_dependency(%q<ronin-vulns>.freeze, ["~> 0.2".freeze])
  s.add_runtime_dependency(%q<ronin-app>.freeze, ["~> 0.1".freeze])
  s.add_development_dependency(%q<bundler>.freeze, ["~> 2.0".freeze])
end
